<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMarcasTable extends Migration {

	public function up()
	{
		Schema::create('marcas', function(Blueprint $table) {
			$table->increments('id');
			$table->text('title')->nullable();
			$table->text('description')->nullable();
			$table->text('title_tc')->nullable();
			$table->text('title_og')->nullable();
			$table->text('description_tc')->nullable();
			$table->text('description_og')->nullable();
			$table->string('robots', 100)->default('index,follow');
			$table->text('h1')->nullable();
			$table->text('canonical')->nullable();
			$table->text('nombre')->nullable();
			$table->mediumText('descripcion_corta')->nullable();
			$table->longText('descripcion_larga')->nullable();
			$table->string('foto_principal', 255)->nullable();
			$table->text('slug')->unique();
			$table->softDeletes();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('marcas');
	}
}